Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/txt/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/txt/compiler.groovy	(revision 1614)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/txt/compiler.groovy	(revision 1615)
@@ -192,6 +192,9 @@
 		corpus.setID(project.getName());
 		corpus.setName(project.getName());
 		corpus.setDescription("Built with the TXT+CSV import module");
+		if (!corpus.compute(false)) {
+			return false;
+		}
 		
 		File cqpFile = new File(binDir,"cqp/"+corpusname+".cqp");
 cqpFile.delete()
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/alceste/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/alceste/compiler.groovy	(revision 1614)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/alceste/compiler.groovy	(revision 1615)
@@ -185,8 +185,10 @@
 		corpus = new MainCorpus(project);
 		corpus.setID(project.getName());
 		corpus.setName(project.getName());
-		corpus.setDescription("Build the alceste import module");
-		
+		corpus.setDescription("Build the Alceste import module");
+		if (!corpus.compute(false)) {corpus.delete();
+			return false;
+		}
 		File cqpFile = new File(binDir,"cqp/"+corpusname+".cqp");
 cqpFile.delete()
 		new File(binDir,"cqp").mkdirs()
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/hyperbase/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/hyperbase/compiler.groovy	(revision 1614)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/hyperbase/compiler.groovy	(revision 1615)
@@ -197,7 +197,10 @@
 		corpus = new MainCorpus(project);
 		corpus.setID(project.getName());
 		corpus.setName(project.getName());
-		corpus.setDescription("Built with the TXT+CSV import module");
+		corpus.setDescription("Built with the Hyperbase import module");
+		if (!corpus.compute(false)) {corpus.delete();
+			return false;
+		}
 		
 		File cqpFile = new File(binDir,"cqp/"+corpusname+".cqp");
 cqpFile.delete()
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/cqp/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/cqp/compiler.groovy	(revision 1614)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/cqp/compiler.groovy	(revision 1615)
@@ -98,7 +98,10 @@
 		corpus = new MainCorpus(project);
 		corpus.setID(project.getName());
 		corpus.setName(project.getName());
-		corpus.setDescription("Built with the TXT+CSV import module");
+		corpus.setDescription("Built with the CQP import module");
+		if (!corpus.compute(false)) {corpus.delete();
+			return false;
+		}
 		
 		File cqpFile = new File(binDir,"cqp/"+corpusname+".cqp");
 cqpFile.delete()
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZCompiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZCompiler.groovy	(revision 1614)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZCompiler.groovy	(revision 1615)
@@ -60,6 +60,10 @@
 		corpus.setID(corpusname);
 		corpus.setName(corpusname);
 		corpus.setDescription("Built with the XTZ import module");
+		if (!corpus.compute(false)) {
+			isSuccessFul = false;
+			return;
+		}
 		
 		if (module.getProject().getCleanAfterBuild()) {
 			new File(module.getBinaryDirectory(), "cqp").deleteDir()
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xmltxm/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xmltxm/compiler.groovy	(revision 1614)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xmltxm/compiler.groovy	(revision 1615)
@@ -361,7 +361,10 @@
 		corpus = new MainCorpus(project);
 		corpus.setID(project.getName());
 		corpus.setName(project.getName());
-		corpus.setDescription("Built with the TXT+CSV import module");
+		corpus.setDescription("Built with the XML-TXM import module");
+		if (!corpus.compute(false)) {corpus.delete();
+			return false;
+		}
 		
 		File cqpFile = new File(binDir,"cqp/"+corpusname+".cqp");
 cqpFile.delete()
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/discours/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/discours/compiler.groovy	(revision 1614)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/discours/compiler.groovy	(revision 1615)
@@ -185,7 +185,10 @@
 		corpus = new MainCorpus(project);
 		corpus.setID(project.getName());
 		corpus.setName(project.getName());
-		corpus.setDescription("Built with the TXT+CSV import module");
+		corpus.setDescription("Built with the CNR+CSV import module");
+		if (!corpus.compute(false)) {corpus.delete();
+			return false;
+		}
 		
 		File cqpFile = new File(binDir,"cqp/"+corpusname+".cqp");
 cqpFile.delete()
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/compiler.groovy	(revision 1614)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/compiler.groovy	(revision 1615)
@@ -460,6 +460,9 @@
 		corpus.setID(project.getName());
 		corpus.setName(project.getName());
 		corpus.setDescription("Built with the XML/w import module");
+		if (!corpus.compute(false)) {corpus.delete();
+			return false;
+		}
 		
 		File cqpFile = new File(binDir,"cqp/"+corpusname+".cqp");
 cqpFile.delete()
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/bfm/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/bfm/compiler.groovy	(revision 1614)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/bfm/compiler.groovy	(revision 1615)
@@ -762,7 +762,10 @@
 		corpus = new MainCorpus(project);
 		corpus.setID(project.getName());
 		corpus.setName(project.getName());
-		corpus.setDescription("Built with the TXT+CSV import module");
+		corpus.setDescription("Built with the BFM import module");
+		if (!corpus.compute(false)) {corpus.delete();
+			return false;
+		}
 		
 		File cqpFile = new File(binDir,"cqp/"+corpusname+".cqp");
 cqpFile.delete()
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/tmx/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/tmx/compiler.groovy	(revision 1614)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/tmx/compiler.groovy	(revision 1615)
@@ -488,6 +488,9 @@
 			corpus.setID(cqpName);
 			corpus.setName(cqpName);
 			corpus.setDescription("Built with the TMX import module");
+			if (!corpus.compute(false)) {
+				return false;
+			}
 			
 			File cqpFile = new File(binDir,"cqp/"+cqpName+".cqp");
 			
Index: tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/preferences/PluginPreferencesManager.java
===================================================================
--- tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/preferences/PluginPreferencesManager.java	(revision 1614)
+++ tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/preferences/PluginPreferencesManager.java	(revision 1615)
@@ -286,7 +286,7 @@
 			return null;
 		}
 
-		for (File messagesJavaFile : messagesPackageDir.listFiles(IOUtils.FILTER_HIDDEN)) {
+		for (File messagesJavaFile : messagesPackageDir.listFiles(IOUtils.HIDDENFILE_FILTER)) {
 			if (messagesJavaFile.isDirectory()) continue;
 			if (!messagesJavaFile.getName().endsWith("Preferences.java")) continue;
 			return messagesJavaFile;
@@ -542,7 +542,7 @@
 	 * Parses the specified path and stores a list of the source files. 
 	 */
 	private void createSourceFilesList(File path)	{
-		File[] list = path.listFiles(IOUtils.FILTER_HIDDEN);
+		File[] list = path.listFiles(IOUtils.HIDDENFILE_FILTER);
 
 		if (list == null) {
 			return;
Index: tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/preferences/WorkspacePreferencesManager.java
===================================================================
--- tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/preferences/WorkspacePreferencesManager.java	(revision 1614)
+++ tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/preferences/WorkspacePreferencesManager.java	(revision 1615)
@@ -105,7 +105,7 @@
 
 		System.out.println("Initializing project preferences...");
 		ArrayList<File> files = new ArrayList<File>();
-		for (File project : workspaceLocation.listFiles(IOUtils.FILTER_HIDDEN)) {
+		for (File project : workspaceLocation.listFiles(IOUtils.HIDDENFILE_FILTER)) {
 			if (!project.isDirectory()) continue;
 			if (project.isHidden()) continue;
 			if (!project.getName().startsWith("org.txm")) continue;
Index: tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/ExternalizationFilesUpdater.java
===================================================================
--- tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/ExternalizationFilesUpdater.java	(revision 1614)
+++ tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/ExternalizationFilesUpdater.java	(revision 1615)
@@ -280,7 +280,7 @@
 			File current = files.removeFirst();
 			if (current.isDirectory() && !current.getName().equals("bin")) {
 				List<File> currentpfiles = new ArrayList<File>();
-				for (File sfile : current.listFiles(IOUtils.FILTER_HIDDEN)) {
+				for (File sfile : current.listFiles(IOUtils.HIDDENFILE_FILTER)) {
 					if (sfile.isDirectory())
 						files.add(sfile);
 					else if(sfile.getName().endsWith(".properties") && (sfile.getName().startsWith("messages") || sfile.getName().startsWith("bundle")) )
@@ -305,7 +305,7 @@
 		String userdir = System.getProperty("user.home");
 		File workspaceDir = new File(userdir, "workspace047/org.txm.annotation.urs.rcp");
 		
-		for (File project : workspaceDir.listFiles(IOUtils.FILTER_HIDDEN)) {
+		for (File project : workspaceDir.listFiles(IOUtils.HIDDENFILE_FILTER)) {
 			if (!project.isDirectory()) continue;
 			if (project.isHidden()) continue;
 		//	if (!project.getName().endsWith(".rcp")) continue;
Index: tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/ExternalizationFilesUpdater.groovy
===================================================================
--- tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/ExternalizationFilesUpdater.groovy	(revision 1614)
+++ tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/ExternalizationFilesUpdater.groovy	(revision 1615)
@@ -270,7 +270,7 @@
 			if(current.isDirectory())
 			{
 				List<String> currentpfiles = [];
-				for(File sfile : current.listFiles(IOUtils.FILTER_HIDDEN))
+				for(File sfile : current.listFiles(IOUtils.HIDDENFILE_FILTER))
 				{
 					if(sfile.isDirectory())
 						files.add(sfile);
Index: tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/MergeExternalizedStringFiles.groovy
===================================================================
--- tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/MergeExternalizedStringFiles.groovy	(revision 1614)
+++ tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/MergeExternalizedStringFiles.groovy	(revision 1615)
@@ -34,7 +34,7 @@
 				continue;
 			//System.out.println("Dir: "+dir);
 			externalizeMessages = new ArrayList<File>();
-			for (File f : dir.listFiles(IOUtils.FILTER_HIDDEN)) {
+			for (File f : dir.listFiles(IOUtils.HIDDENFILE_FILTER)) {
 				if (f.getName() == "Messages.java")
 					messageClass = f
 				if (f.getName() =~ "messages(_..)?\\.properties")
@@ -90,7 +90,7 @@
 			if (current.isDirectory() && !current.getName().startsWith(".")) {
 				//println "add dir: "+current
 				List<String> currentpfiles = [];
-				for (File sfile : current.listFiles(IOUtils.FILTER_HIDDEN)) {
+				for (File sfile : current.listFiles(IOUtils.HIDDENFILE_FILTER)) {
 					if (sfile.isDirectory())
 						files.add(sfile);
 				}
Index: tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/PluginMessagesManager.java
===================================================================
--- tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/PluginMessagesManager.java	(revision 1614)
+++ tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/PluginMessagesManager.java	(revision 1615)
@@ -200,7 +200,7 @@
 
 		if (this.javaMessageFile != null) {
 
-			File[] propFiles = javaMessageFile.getParentFile().listFiles(IOUtils.FILTER_HIDDEN);
+			File[] propFiles = javaMessageFile.getParentFile().listFiles(IOUtils.HIDDENFILE_FILTER);
 			for (File propFile : propFiles) {
 				String name = propFile.getName();
 				if (!name.endsWith(".properties")) continue;
@@ -256,7 +256,7 @@
 
 				File osgiInf = new File(projectDirectory, "OSGI-INF/l10n");
 				if (osgiInf.exists()) {
-					for (File propFile : osgiInf.listFiles(IOUtils.FILTER_HIDDEN)) {
+					for (File propFile : osgiInf.listFiles(IOUtils.HIDDENFILE_FILTER)) {
 						if (propFile.getName().startsWith("bundle") && propFile.getName().endsWith(".properties")) {
 							Properties props = new Properties();
 							props.load(IOUtils.getReader(propFile, "ISO-8859-1"));
@@ -353,7 +353,7 @@
 			return null;
 		}
 
-		for (File messagesJavaFile : messagesPackageDir.listFiles(IOUtils.FILTER_HIDDEN)) {
+		for (File messagesJavaFile : messagesPackageDir.listFiles(IOUtils.HIDDENFILE_FILTER)) {
 			if (messagesJavaFile.isDirectory()) continue;
 			if (!messagesJavaFile.getName().endsWith("Messages.java")) continue;
 			return messagesJavaFile;
@@ -782,7 +782,7 @@
 	 * Parses the specified path and stores a list of the source files. 
 	 */
 	private void createSourceFilesList(File path)	{
-		File[] list = path.listFiles(IOUtils.FILTER_HIDDEN);
+		File[] list = path.listFiles(IOUtils.HIDDENFILE_FILTER);
 
 		if (list == null) {
 			return;
Index: tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/WorkspaceMessagesManager.java
===================================================================
--- tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/WorkspaceMessagesManager.java	(revision 1614)
+++ tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/WorkspaceMessagesManager.java	(revision 1615)
@@ -105,7 +105,7 @@
 
 		System.out.println("Initializing project messages...");
 		ArrayList<File> files = new ArrayList<File>();
-		for (File project : workspaceLocation.listFiles(IOUtils.FILTER_HIDDEN)) {
+		for (File project : workspaceLocation.listFiles(IOUtils.HIDDENFILE_FILTER)) {
 			if (!project.isDirectory()) continue;
 			if (project.isHidden()) continue;
 			if (!project.getName().startsWith("org.txm")) continue;
Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/conversion/CorpusRuledConvertion.java
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/conversion/CorpusRuledConvertion.java	(revision 1614)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/conversion/CorpusRuledConvertion.java	(revision 1615)
@@ -61,7 +61,7 @@
 			System.out.println("'"+corpus.getName()+"' corpus directory not found in "+txmDirectory.getAbsolutePath());
 			return false;
 		}
-		File[] files = txmCorpusDirectory.listFiles(IOUtils.FILTER_HIDDEN);
+		File[] files = txmCorpusDirectory.listFiles(IOUtils.HIDDENFILE_FILTER);
 		if (files == null || files.length == 0) {
 			System.out.println("No file in "+txmCorpusDirectory);
 			return false;
Index: tmp/org.txm.treetagger.core/src/org/txm/importer/xmltxm/AnnotateWTC.groovy
===================================================================
--- tmp/org.txm.treetagger.core/src/org/txm/importer/xmltxm/AnnotateWTC.groovy	(revision 1614)
+++ tmp/org.txm.treetagger.core/src/org/txm/importer/xmltxm/AnnotateWTC.groovy	(revision 1615)
@@ -125,7 +125,7 @@
 		annotDir.mkdir();
 
 		//BUILD TT FILE READY TO BE TAGGED
-		List<File> files = txmDir.listFiles(IOUtils.FILTER_HIDDEN)
+		List<File> files = txmDir.listFiles(IOUtils.HIDDENFILE_FILTER)
 
 		// get model file and check it
 		File modelfile = new File(TreeTaggerPreferences.getInstance().getBoolean(TreeTaggerPreferences.MODELS_PATH), modelfilename);
Index: tmp/org.txm.treetagger.core/src/org/txm/importer/xmltxm/Annotate.groovy
===================================================================
--- tmp/org.txm.treetagger.core/src/org/txm/importer/xmltxm/Annotate.groovy	(revision 1614)
+++ tmp/org.txm.treetagger.core/src/org/txm/importer/xmltxm/Annotate.groovy	(revision 1615)
@@ -309,7 +309,7 @@
 		ArrayList<String> milestones = [];
 
 		//BUILD TT FILE READY TO BE TAGGED
-		List<File> files = txmDir.listFiles(IOUtils.FILTER_HIDDEN)
+		List<File> files = txmDir.listFiles(IOUtils.HIDDENFILE_FILTER)
 
 		println("Building TT source files ("+files.size()+") from directory "+txmDir)
 		ConsoleProgressBar cpb = new ConsoleProgressBar(files.size())
@@ -338,7 +338,7 @@
 		//Convert encoding if needed
 
 		//APPLY TREETAGGER
-		files = new File(binDir, "treetagger").listFiles(IOUtils.FILTER_HIDDEN)
+		files = new File(binDir, "treetagger").listFiles(IOUtils.HIDDENFILE_FILTER)
 		println("Applying $modelfilename TreeTagger model on dir: "+new File(binDir, "treetagger")+ " ("+files.size()+" files)")
 		if (files == null || files.size() == 0)
 			return false;
@@ -401,7 +401,7 @@
 		}
 
 		initTTOutfileInfos(binDir, modelfile, modelfilename);
-		files = new File(binDir, "treetagger").listFiles(IOUtils.FILTER_HIDDEN)// now contains the result files of TT
+		files = new File(binDir, "treetagger").listFiles(IOUtils.HIDDENFILE_FILTER)// now contains the result files of TT
 		println "Building stdoff files ("+files.size()+") from dir:"+new File(binDir, "treetagger")+" to "+new File(binDir, "annotations");
 		if (files == null || files.size() == 0)
 			return false;
@@ -417,8 +417,8 @@
 		if (cancelNow) return;
 
 		//INJECT ANNOTATIONS
-		List<File> interpfiles = new File(binDir, "annotations").listFiles(IOUtils.FILTER_HIDDEN);
-		List<File> txmfiles = txmDir.listFiles(IOUtils.FILTER_HIDDEN);
+		List<File> interpfiles = new File(binDir, "annotations").listFiles(IOUtils.HIDDENFILE_FILTER);
+		List<File> txmfiles = txmDir.listFiles(IOUtils.HIDDENFILE_FILTER);
 		if (txmfiles == null) {
 			println "No file to annotate in "+txmDir.getAbsolutePath()
 			return false;
@@ -481,7 +481,7 @@
 			return true;
 		}
 
-		List<File> listfiles = txmDir.listFiles(IOUtils.FILTER_HIDDEN);
+		List<File> listfiles = txmDir.listFiles(IOUtils.HIDDENFILE_FILTER);
 
 		//cleaning
 		File annotDir = new File(binDir,"annotations");
@@ -498,7 +498,7 @@
 		int coresToUse = Math.max(1.0, cores * 0.7)
 		ExecutorService pool = Executors.newFixedThreadPool(coresToUse)
 
-		def files = txmDir.listFiles(IOUtils.FILTER_HIDDEN)
+		def files = txmDir.listFiles(IOUtils.HIDDENFILE_FILTER)
 		ConsoleProgressBar cpb = new ConsoleProgressBar(files.size())
 		for (File teiFile : files) {
 			int counter = 1;
